Bug 71823 - Cannot build satellite installer
Cannot build satellite installer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-19 14:36 EDT by Matt Jamison
Modified: 2007-07-31 15:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 11:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-08-19 14:36:36 EDT
Description of Problem: Running through the installer build process, it errors
out at: 

[root@zealot satmake]# make clean && make && make install
python -c "import py_compile; py_compile.compile('__init__.py')"
python -c "import py_compile; py_compile.compile('gui.py')"
python -c "import py_compile; py_compile.compile('tnsnames.py')"
python -c "import py_compile; py_compile.compile('satConfig.py')"
python -c "import py_compile; py_compile.compile('translate.py')"
python -c "import py_compile; py_compile.compile('satInstall.py')"
python -c "import py_compile; py_compile.compile('satInstallErrors.py')"
python -c "import py_compile; py_compile.compile('satInstallLog.py')"
python -c "import py_compile; py_compile.compile('sslCertGen.py')"
python -c "import py_compile; py_compile.compile('checkDB.py')"
python -c "import py_compile; py_compile.compile('progress.py')"

ERROR: Parent Makefile needs to invoke me for this target

make: *** [check-env] Error 255


Version-Release number of selected component (if applicable): see bug 63780
Comment 1 Josef Komenda 2002-08-19 14:46:28 EDT
The current iso build process is that on Zealot.devel.redhat.com I run the
following:

cd /var/spool/up2date/

rm -f *.rpm

rm -f *.hdr

rm -f /tmp/installer/RPMS/*.rpm
(this to clear out any previous rpms)

up2date -d --nosig apache apache-devel mod_perl `up2date --showall
--channel=redhat-rhn-satellite-i386-7.2 | sed 's/-[^-]*-[^-]*$//' | grep -v tk`

cp *.rpm /tmp/installer/RPMS/

cd /tmp/

rm -rf satmake/

scp -r root@dhcp59-208.rdu.redhat.com:/home/jkomenda/cvs/rhn/satellite/install/
/tmp/satmake/
(this after running a 'cvs up' in my local cvs/rhn/satellite/install/)

cd satmake/

make clean && make && make install

==================================

Please advise as to how I should modify this process in accord with the changes
to /satellite/install/ in cvs. 
Comment 2 Cristian Gafton 2002-08-21 02:14:34 EDT
The process you are using to build an installable image has changed.

Basically right now what you need to do is way simper:

1. make sure you   have an updated CVS checkout of the rhn tree (rhn/build and
rhn/satellite in particular). Use "cvs up -d -P" to make sure

2. cd rhn/satellite
3. make iso

From the output of the make file you should get enough detail to figure out
where the tree and iso images are. You should be able then to start testing the
installer from this new tree...
Comment 3 Josef Komenda 2002-08-21 11:33:28 EDT
I updated my cvs and ran 'make iso' from the ~/cvs/rhn/satellite directory. It
seemed to run smoothly, however, I have grave doubts about the installer running
correctly, as it is only 17M, as opposed to the previous versions, which came in
at 55M. 

Testing the installer on sat-inst.webdev-colo comfirms this:
  Unresolved rpm dependencies:
  Package python-popt-0.9.0-4.7.2 conflicts with rpm-python < 4.0.4

Back over to solve the dependencies, updated packages paradox. 

Comment 4 Josef Komenda 2002-08-22 13:01:55 EDT
Fixed in latest, Closing.

Note You need to log in before you can comment on or make changes to this bug.